#include <maps/wikimap/mapspro/services/editor/src/objects/areal_object.h>
#include <maps/wikimap/mapspro/services/editor/src/objectvisitor.h>

namespace maps {
namespace wiki {

ArealObject::ArealObject(const TRevisionId& id, ObjectsCache& cache)
    : GeoObject(id, cache)
{}

void
ArealObject::applyVisitor(ObjectVisitor& visitor) const
{
    visitor.visitArealObject(this);
}

void
ArealObject::applyProcessor(ObjectProcessor& processor)
{
    processor.processArealObject(this);
}

}//namespace wiki
}//namespace maps
